#
# spec file for package fdupes (Version 1.40)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           fdupes
Url:            http://premium.caribe.net/~adrian2/fdupes.html
Group:          Productivity/Archiving/Compression
Summary:        Identifying or deleting duplicate files
Version:        1.40
Release:        111.1
License:        MIT License (or similar)
Source0:        %name-%{version}.tar.bz2
Source1:        macros.fdupes
Patch0:         %name.diff
Patch1:         fdupes-sort-output.diff
#PATCH-FIX-OPENSUSE - bnc#406825
Patch2:         fdupes-speedup.patch
#PATCH-FIX-OPENSUSE - bnc#406825
Patch3:         fdupes-endianness.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FDUPES is a program for identifying or deleting duplicate files
residing within specified directories



Authors:
--------
    Adrian Lopez <adrian2@caribe.net>

%prep
%setup -q
%patch0
%patch1
%patch2 -p0 -b .speedup
%patch3 -p1 -b .endianness

%build
make

%install
install -D -m755 fdupes $RPM_BUILD_ROOT/usr/bin/fdupes
install -D -m644 fdupes.1 $RPM_BUILD_ROOT/usr/share/man/man1/fdupes.1
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/rpm/macros.fdupes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES
%{_prefix}/bin/fdupes
%{_mandir}/*/*
/etc/rpm

%changelog
* Mon Feb 15 2010 mvyskocil@suse.cz
- fix bnc#406825: speedup fdupes
  * fdupes-speedup.patch fixes some performance gaps in code
  * fdupes-endianness.patch speedups the built in md5 on little endian machines
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Jan 15 2009 coolo@suse.de
- sort the output of fdupes to make it deterministic
* Thu Sep  6 2007 mls@suse.de
- do not hardlink empty files in %%fdupes macro
* Wed Sep  5 2007 nadvornik@suse.cz
- support filenames with spaces in %%fdupes macro [#307727]
* Tue May 15 2007 coolo@suse.de
- add an RPM macro to make use of it in spec files
* Thu Nov 16 2006 dmueller@suse.de
- Initial package (1.40)
